"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.createToggleQuerystring = void 0;

var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread"));

var _qs = _interopRequireDefault(require("qs"));

var createToggleQuerystring = function createToggleQuerystring() {
  var _ref = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {},
      _ref$param = _ref.param,
      param = _ref$param === void 0 ? "features" : _ref$param,
      _ref$features = _ref.features,
      features = _ref$features === void 0 ? {} : _ref$features;

  return function (queryString) {
    var parsed = _qs.default.parse(queryString, {
      ignoreQueryPrefix: true
    });

    features = (0, _objectSpread2.default)({}, features, parsed[param] || {});
    (Object.keys(features) || []).forEach(function (feat) {
      features[feat] = String(features[feat]) === "false" ? false : true;
    });
    return features;
  };
};

exports.createToggleQuerystring = createToggleQuerystring;

var _default = createToggleQuerystring();

exports.default = _default;